Remove old PPC4xx EMAC driver

Signed-off-by: Eugene Surovegin <ebs@ebshome.net>
---

 drivers/net/Kconfig                   |   34 -
 drivers/net/ibm_emac/Makefile         |   12 
 drivers/net/ibm_emac/ibm_emac.h       |  267 ----
 drivers/net/ibm_emac/ibm_emac_core.c  | 2042 ---------------------------------
 drivers/net/ibm_emac/ibm_emac_core.h  |  146 --
 drivers/net/ibm_emac/ibm_emac_debug.c |  224 ----
 drivers/net/ibm_emac/ibm_emac_mal.c   |  463 -------
 drivers/net/ibm_emac/ibm_emac_mal.h   |  131 --
 drivers/net/ibm_emac/ibm_emac_phy.c   |  298 -----
 drivers/net/ibm_emac/ibm_emac_phy.h   |  137 --
 drivers/net/ibm_emac/ibm_emac_rgmii.h |   65 -
 drivers/net/ibm_emac/ibm_emac_tah.h   |   48 -
 drivers/net/ibm_emac/ibm_emac_zmii.h  |   93 --
 13 files changed, 0 insertions(+), 3960 deletions(-)

diff --git a/drivers/net/Kconfig b/drivers/net/Kconfig
index c748b0e..805d84f 100644
--- a/drivers/net/Kconfig
+++ b/drivers/net/Kconfig
@@ -1154,40 +1154,6 @@ config IBMVETH
 	  <file:Documentation/networking/net-modules.txt>. The module will
 	  be called ibmveth.
 
-config IBM_EMAC
-	bool "IBM PPC4xx EMAC driver support"
-	depends on 4xx
-	select CRC32
-	---help---
-	  This driver supports the IBM PPC4xx EMAC family of on-chip
-	  Ethernet controllers.
-
-config IBM_EMAC_ERRMSG
-	bool "Verbose error messages"
-	depends on IBM_EMAC && BROKEN
-
-config IBM_EMAC_RXB
-	int "Number of receive buffers"
-	depends on IBM_EMAC
-	default "128" if IBM_EMAC4
-	default "64"
-
-config IBM_EMAC_TXB
-	int "Number of transmit buffers"
-	depends on IBM_EMAC
-	default "128" if IBM_EMAC4
-	default "8"
-
-config IBM_EMAC_FGAP
-	int "Frame gap"
-	depends on IBM_EMAC
-	default "8"
-
-config IBM_EMAC_SKBRES
-	int "Skb reserve amount"
-	depends on IBM_EMAC
-	default "0"
-
 config NET_PCI
 	bool "EISA, VLB, PCI and on board controllers"
 	depends on NET_ETHERNET && (ISA || EISA || PCI)
